Bug 1464197 - RFE: cinder-dellsc.yaml missing several values
RFE: cinder-dellsc.yaml missing several values
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
unspecified Severity unspecified
: z5
: 11.0 (Ocata)
Assigned To: Alan Bishop
Avi Avraham
: FutureFeature, OtherQA, TestOnly, Triaged, ZStream
Depends On:
Blocks: 1440290
  Show dependency treegraph
 
Reported: 2017-06-22 11:49 EDT by Alan Bishop
Modified: 2018-04-23 15:51 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-6.1.0-1.el7ost, puppet-tripleo-6.5.0-1.el7ost, puppet-cinder-10.3.1-1.el7ost
Doc Type: Bug Fix
Doc Text:
Cause: TripleO was lacking support for several parameters required by the Dell EMC SC cinder backend driver. The driver parameters are associated with the Dell EMC SC's "exclude_domain_ip" and "secondary DSM" features. Consequence: The Dell EMC SC driver parameters are not configured by TripleO, and a post-deploy script is required to patch them into the cinder configuration. Fix: TripleO Heat Template parameters have been defined for all the missing parameters, and the Puppet modules have been updated to set the parameters in the cinder driver configuration. Result: TripleO supports setting the Dell EMC SC parameters associated with the cinder driver's "exclude_domain_ip" and "secondary DSM" features.
Story Points: ---
Clone Of: 1440290
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 455372 None None None 2017-06-22 11:49 EDT
OpenStack gerrit 455376 None None None 2017-06-22 11:49 EDT
OpenStack gerrit 455384 None None None 2017-06-22 11:49 EDT
OpenStack gerrit 455386 None None None 2017-06-22 11:49 EDT
OpenStack gerrit 455413 None None None 2017-06-22 11:49 EDT
OpenStack gerrit 455418 None None None 2017-06-22 11:49 EDT

  None (edit)
Comment 1 Lon Hohberger 2017-09-06 15:58:17 EDT
According to our records, this should be resolved by openstack-tripleo-heat-templates-6.1.0-2.el7ost.  This build is available now.
Comment 2 Lon Hohberger 2017-09-06 15:58:21 EDT
According to our records, this should be resolved by puppet-tripleo-6.5.0-5.el7ost.  This build is available now.
Comment 3 Lon Hohberger 2017-09-06 15:58:25 EDT
According to our records, this should be resolved by puppet-cinder-10.3.1-1.el7ost.  This build is available now.
Comment 4 Tzach Shefi 2017-09-24 04:29:37 EDT
Versions: 
openstack-tripleo-heat-templates-6.2.0-3.el7ost.noarch
puppet-tripleo-6.5.0-8.el7ost.noarch
puppet-cinder-10.3.1-1.el7ost.noarch

Don't have access to a Dell SC backend to actually run Cinder commands. 
Verification based on Heat template and resulting cinder.conf backend config.

 
Heat Template used:

parameter_defaults:
  CinderEnableDellScBackend: true
  CinderDellScBackendName: 'tripleo_dellsc'
  CinderDellScSanIp: '10.35.64.83'
  CinderDellScSanLogin: 'Admin'
  CinderDellScSanPassword: 'Admin'
  CinderDellScSsn: 64702
  CinderDellScIscsiIpAddress: '10.35.64.84'
  CinderDellScIscsiPort: 3260
  CinderDellScApiPort: 3033
  CinderDellScServerFolder: 'dellsc_server'
  CinderDellScVolumeFolder: 'dellsc_volume'
  CinderDellScSecondarySanIp: '10.35.64.85'
  CinderDellScSecondarySanLogin: 'Admin2'
  CinderDellScSecondarySanPassword: 'Admin2'
  CinderDellScSecondaryScApiPort: 3033
  CinderDellScExcludedDomainIp: '10.35.64.86'


Resulting cinder.conf:
[tripleo_dellsc]
volume_backend_name=tripleo_dellsc
volume_driver=cinder.volume.drivers.dell.dell_storagecenter_iscsi.DellStorageCenterISCSIDriver
san_ip=10.35.64.83
san_login=Admin
san_password=Admin
iscsi_ip_address=10.35.64.84
dell_sc_ssn=64702
dell_sc_api_port=3033
dell_sc_server_folder=dellsc_server
dell_sc_volume_folder=dellsc_volume
iscsi_port=3260
excluded_domain_ip=10.35.64.86    ->This only show's up once, OK to verify? 
secondary_san_ip=10.35.64.85
secondary_san_login=Admin2
secondary_san_password=Admin2
secondary_sc_api_port=3033
Comment 5 Alan Bishop 2017-09-25 09:15:10 EDT
The output in cinder.conf matches what I expected from the THT parameters you supplied. If you really want to be sure the behavior is correct then you could see about testing with the Dell EMC's "Futureville" DCI setup.
Comment 6 Tzach Shefi 2017-09-26 02:29:40 EDT
Set OtherQA, not sure if/when we'll have access to DCI setup to test this. 
According to #4-5 looks as if this would pass as expected.

Note You need to log in before you can comment on or make changes to this bug.